Skip to content
Start here

Zone Transfers

Zone TransfersForce AXFR

Force AXFR
client.DNS.ZoneTransfers.ForceAXFR.New(ctx, params) (*ForceAXFR, error)
POST/zones/{zone_id}/secondary_dns/force_axfr
ModelsExpand Collapse
type ForceAXFR string

When force_axfr query parameter is set to true, the response is a simple string.

Zone TransfersIncoming

Secondary Zone Configuration Details
client.DNS.ZoneTransfers.Incoming.Get(ctx, query) (*ZoneTransferIncomingGetResponse, error)
GET/zones/{zone_id}/secondary_dns/incoming
Create Secondary Zone Configuration
client.DNS.ZoneTransfers.Incoming.New(ctx, params) (*ZoneTransferIncomingNewResponse, error)
POST/zones/{zone_id}/secondary_dns/incoming
Update Secondary Zone Configuration
client.DNS.ZoneTransfers.Incoming.Update(ctx, params) (*ZoneTransferIncomingUpdateResponse, error)
PUT/zones/{zone_id}/secondary_dns/incoming
Delete Secondary Zone Configuration
client.DNS.ZoneTransfers.Incoming.Delete(ctx, body) (*ZoneTransferIncomingDeleteResponse, error)
DELETE/zones/{zone_id}/secondary_dns/incoming
ModelsExpand Collapse
type Incoming struct{…}
ID stringoptional
AutoRefreshSeconds float64optional

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300
CheckedTime stringoptional

The time for a specific event.

CreatedTime stringoptional

The time for a specific event.

ModifiedTime stringoptional

The time for a specific event.

Name stringoptional

Zone name.

Peers []stringoptional

A list of peer tags.

SOASerial float64optional

The serial number of the SOA for the given zone.

Zone TransfersOutgoing

Primary Zone Configuration Details
client.DNS.ZoneTransfers.Outgoing.Get(ctx, query) (*ZoneTransferOutgoingGetResponse, error)
GET/zones/{zone_id}/secondary_dns/outgoing
Create Primary Zone Configuration
client.DNS.ZoneTransfers.Outgoing.New(ctx, params) (*ZoneTransferOutgoingNewResponse, error)
POST/zones/{zone_id}/secondary_dns/outgoing
Update Primary Zone Configuration
client.DNS.ZoneTransfers.Outgoing.Update(ctx, params) (*ZoneTransferOutgoingUpdateResponse, error)
PUT/zones/{zone_id}/secondary_dns/outgoing
Delete Primary Zone Configuration
client.DNS.ZoneTransfers.Outgoing.Delete(ctx, body) (*ZoneTransferOutgoingDeleteResponse, error)
DELETE/zones/{zone_id}/secondary_dns/outgoing
Disable Outgoing Zone Transfers
client.DNS.ZoneTransfers.Outgoing.Disable(ctx, params) (*DisableTransfer, error)
POST/zones/{zone_id}/secondary_dns/outgoing/disable
Enable Outgoing Zone Transfers
client.DNS.ZoneTransfers.Outgoing.Enable(ctx, params) (*EnableTransfer, error)
POST/zones/{zone_id}/secondary_dns/outgoing/enable
Force DNS NOTIFY
client.DNS.ZoneTransfers.Outgoing.ForceNotify(ctx, params) (*string, error)
POST/zones/{zone_id}/secondary_dns/outgoing/force_notify
ModelsExpand Collapse
type DisableTransfer string

The zone transfer status of a primary zone.

type EnableTransfer string

The zone transfer status of a primary zone.

type Outgoing struct{…}
ID stringoptional
CheckedTime stringoptional

The time for a specific event.

CreatedTime stringoptional

The time for a specific event.

LastTransferredTime stringoptional

The time for a specific event.

Name stringoptional

Zone name.

Peers []stringoptional

A list of peer tags.

SOASerial float64optional

The serial number of the SOA for the given zone.

type OutgoingStatus string

The zone transfer status of a primary zone.

Zone TransfersOutgoingStatus

Get Outgoing Zone Transfer Status
client.DNS.ZoneTransfers.Outgoing.Status.Get(ctx, query) (*EnableTransfer, error)
GET/zones/{zone_id}/secondary_dns/outgoing/status

Zone TransfersACLs

List ACLs
client.DNS.ZoneTransfers.ACLs.List(ctx, query) (*SinglePage[ACL], error)
GET/accounts/{account_id}/secondary_dns/acls
ACL Details
client.DNS.ZoneTransfers.ACLs.Get(ctx, aclID, query) (*ACL, error)
GET/accounts/{account_id}/secondary_dns/acls/{acl_id}
Create ACL
client.DNS.ZoneTransfers.ACLs.New(ctx, params) (*ACL, error)
POST/accounts/{account_id}/secondary_dns/acls
Update ACL
client.DNS.ZoneTransfers.ACLs.Update(ctx, aclID, params) (*ACL, error)
PUT/accounts/{account_id}/secondary_dns/acls/{acl_id}
Delete ACL
client.DNS.ZoneTransfers.ACLs.Delete(ctx, aclID, body) (*ZoneTransferACLDeleteResponse, error)
DELETE/accounts/{account_id}/secondary_dns/acls/{acl_id}
ModelsExpand Collapse
type ACL struct{…}
ID string
IPRange string

Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively.

Name string

The name of the acl.

Zone TransfersPeers

List Peers
client.DNS.ZoneTransfers.Peers.List(ctx, query) (*SinglePage[Peer], error)
GET/accounts/{account_id}/secondary_dns/peers
Peer Details
client.DNS.ZoneTransfers.Peers.Get(ctx, peerID, query) (*Peer, error)
GET/accounts/{account_id}/secondary_dns/peers/{peer_id}
Create Peer
client.DNS.ZoneTransfers.Peers.New(ctx, params) (*Peer, error)
POST/accounts/{account_id}/secondary_dns/peers
Update Peer
client.DNS.ZoneTransfers.Peers.Update(ctx, peerID, params) (*Peer, error)
PUT/accounts/{account_id}/secondary_dns/peers/{peer_id}
Delete Peer
client.DNS.ZoneTransfers.Peers.Delete(ctx, peerID, body) (*ZoneTransferPeerDeleteResponse, error)
DELETE/accounts/{account_id}/secondary_dns/peers/{peer_id}
ModelsExpand Collapse
type Peer struct{…}
ID string
Name string

The name of the peer.

IP stringoptional

IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.

IxfrEnable booloptional

Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.

Port float64optional

DNS port of primary or secondary nameserver, depending on what zone this peer is linked to.

TSIGID stringoptional

TSIG authentication will be used for zone transfer if configured.

Zone TransfersTSIGs

List TSIGs
client.DNS.ZoneTransfers.TSIGs.List(ctx, query) (*SinglePage[TSIG], error)
GET/accounts/{account_id}/secondary_dns/tsigs
TSIG Details
client.DNS.ZoneTransfers.TSIGs.Get(ctx, tsigID, query) (*TSIG, error)
GET/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}
Create TSIG
client.DNS.ZoneTransfers.TSIGs.New(ctx, params) (*TSIG, error)
POST/accounts/{account_id}/secondary_dns/tsigs
Update TSIG
client.DNS.ZoneTransfers.TSIGs.Update(ctx, tsigID, params) (*TSIG, error)
PUT/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}
Delete TSIG
client.DNS.ZoneTransfers.TSIGs.Delete(ctx, tsigID, body) (*ZoneTransferTSIGDeleteResponse, error)
DELETE/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}
ModelsExpand Collapse
type TSIG struct{…}
ID string
Algo string

TSIG algorithm.

Name string

TSIG key name.

Secret string

TSIG secret.